- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchCreate#body.BatchCreateLineItemCreativeAssociationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchCreate#body.aspect)
- [CreateLineItemCreativeAssociationRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchCreate#CreateLineItemCreativeAssociationRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchCreate#CreateLineItemCreativeAssociationRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchCreate#try-it)

Creates `LineItemCreativeAssociation` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/creatives:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `LineItemCreativeAssociations` will be created. This request supports using the "-" character as a wildcard for resources that span across multiple LineItem parents. Format: `networks/{networkCode}/lineItems/{lineItemId}` Format: `networks/{networkCode}/lineItems/-` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchCreate#CreateLineItemCreativeAssociationRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchCreate#CreateLineItemCreativeAssociationRequest`)`` Required. The `LineItemCreativeAssociation` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `creatives.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "lineItemCreativeAssociations": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives#LineItemCreativeAssociation`) } ] } ``` |

| Fields ||
|---|---|
| `lineItemCreativeAssociations[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives#LineItemCreativeAssociation`)`` The `LineItemCreativeAssociation` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateLineItemCreativeAssociationRequest

Request object for `creatives.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "lineItemCreativeAssociation": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives#LineItemCreativeAssociation`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `LineItemCreativeAssociation` will be created. Format: `networks/{networkCode}/lineItems/{lineItemId}` |
| `lineItemCreativeAssociation` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives#LineItemCreativeAssociation`)`` Required. The `LineItemCreativeAssociation` to create. |